/*
 *  @Copyright (C) 2007 Kim Jin Chul (shriekout@gmail.com).
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/*********************************
 * 전역 변수들과 기본 선언들
 * *******************************/

#ifndef _HAPPYTIMER_H

#define _HAPPYTIMER_H

#include <gtk/gtk.h>
#include <time.h>
#include <gst/gst.h>
#include <regex.h>
#include "lib/eggtrayicon/eggtrayicon.h"
#include "config.h"

#ifndef _OS_

#define HAPPYTIMER_ICON "/usr/share/pixmaps/happytimer.png"
#define TRAY_IMAGE "/usr/share/icons/gnome/24x24/apps/happytimer.png"
#define START_IMAGE "/usr/share/pixmaps/happytimer_start.png"
#define HAPPYTIMER_SOUND "/usr/share/happytimer/sound/"
#define LOCALE_DIR "/usr/share/locale/"
#define CONFIG_DIR g_get_home_dir()
#define CONFIG_FILE "/.happytimer_xml"
#define TIMER_SOUND "/usr/share/happytimer/sound/Bells pad melody swell_BLASTWAVEFX_19061.mp3"
#define TIMER_IMAGE "/usr/share/pixmaps/happytimer.png"

#else

#define HAPPYTIMER_ICON "./image/happytimer.png"
#define TRAY_IMAGE "./image/happytimer_trayicon.png"
#define START_IMAGE "./image/happytimer_start.png"
#define HAPPYTIMER_SOUND "./sound/"
#define LOCALE_DIR "./locale/"
#define CONFIG_DIR ""
#define CONFIG_FILE "happytimer.cfg"
#define TIMER_SOUND "./sound/Bells pad melody swell_BLASTWAVEFX_19061.mp3"
#define TIMER_IMAGE "./image/happytimer.png"

#endif

#define VOICE_INFO "voice.info"
#define MAX_TIMER "7200"

enum {
	RT_SND,
	ARM_SND,
	PRE_SND,
	SND_NUM
};

EggTrayIcon *trayicon;
GtkWidget *trayiconTooltip;
GtkWidget *trayiconImage;
GtkWidget *menu;
GtkWidget *timer;
GstElement *gstSound[SND_NUM];
GtkWidget *tooltipTimer_label;

/* 환경설정에 사용되는 구조체 */
struct happytimer {
	char *rtsound;
	char *tsound;
	char *tsoundfile;
	char *timagefile;
	char *rtsound_dir;
	char *maxtimer;
	char *prefer_file;
	char *load_ptime;
	char *ptime;
} prefer;

struct var {
	gboolean countdown;
	time_t timerCount;
	regex_t mregex;
	char *hour_clock;
	char *sf;
	gboolean repeat;
	time_t spin_hr;
	time_t spin_min;
	time_t spin_sec;
	gboolean is_pause;
} varList;

#endif
